API Documentation
Toggle TOC panel
<access-service>/api/v1/i18n/bundles

URL structure

1 https://access-service.xy-company.com/api/v1/i18n/bundles

Supported methods and overview

  • GET - used to retrieve a list of internationalization (i18n) bundles which are currently available (i.e. 'supported') on the Covata Platform.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a list of i18n bundles which are currently available (i.e. 'supported') on the Covata Platform.

These are i18n bundles which either are built in or have been uploaded to the Covata Platform.

Supported roles

This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator's and Organization Administrator's Guides):

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

If the request succeeded, then an HTTP response status 200 OK is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

  • items - .
    • localeCode - .
    • displayDescription - .
  • offset - .
  • count - .
    Example:
    {
    "items": [{
    "localeCode": "de_de",
    "displayDescription": "Deutsch (Deutschland)"
    }, {
    "localeCode": "en_gb",
    "displayDescription": "English (UK)"
    }, {
    "localeCode": "en_us",
    "displayDescription": "English (US)"
    }],
    "offset": "0",
    "count": "3"
    }